<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>discover: /home/pere/src/debiancvs/pkg-discover/discover/trunk/include/discover/sysdep.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.4.2 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="dirs.html">Directories</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="globals.html">Globals</a></div>
<div class="nav">
<a class="el" href="dir_000000.html">include</a>&nbsp;/&nbsp;<a class="el" href="dir_000001.html">discover</a></div>
<h1>sysdep.h</h1><a href="sysdep_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment">00001 
00006 <span class="comment">/* $Progeny$</span>
00007 <span class="comment"> *</span>
00008 <span class="comment"> * AUTHOR: John R. Daily &lt;jdaily@progeny.com&gt;</span>
00009 <span class="comment"> *</span>
00010 <span class="comment"> * Copyright 2002 Progeny Linux Systems, Inc.</span>
00011 <span class="comment"> *</span>
00012 <span class="comment"> * Permission is hereby granted, free of charge, to any person obtaining a</span>
00013 <span class="comment"> * copy of this software and associated documentation files (the "Software"),</span>
00014 <span class="comment"> * to deal in the Software without restriction, including without limitation</span>
00015 <span class="comment"> * the rights to use, copy, modify, merge, publish, distribute, sublicense,</span>
00016 <span class="comment"> * and/or sell copies of the Software, and to permit persons to whom the</span>
00017 <span class="comment"> * Software is furnished to do so, subject to the following conditions:</span>
00018 <span class="comment"> *</span>
00019 <span class="comment"> * The above copyright notice and this permission notice shall be included in</span>
00020 <span class="comment"> * all copies or substantial portions of the Software.</span>
00021 <span class="comment"> *</span>
00022 <span class="comment"> * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
00023 <span class="comment"> * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
00024 <span class="comment"> * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL</span>
00025 <span class="comment"> * THE COPYRIGHT HOLDER(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
00026 <span class="comment"> * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING</span>
00027 <span class="comment"> * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER</span>
00028 <span class="comment"> * DEALINGS IN THE SOFTWARE.</span>
00029 <span class="comment"> */</span>
00030 
00031 <span class="preprocessor">#ifndef SYSDEP_H</span>
00032 <span class="preprocessor"></span><span class="preprocessor">#define SYSDEP_H</span>
00033 <span class="preprocessor"></span>
00034 <span class="preprocessor">#ifdef __cplusplus</span>
00035 <span class="preprocessor"></span>    <span class="keyword">extern</span> <span class="stringliteral">"C"</span> {
00036 <span class="preprocessor">#endif</span>
00037 <span class="preprocessor"></span>
<a name="l00043"></a><a class="code" href="structdiscover__sysdep__device__data.html">00043</a> <span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structdiscover__sysdep__device__data.html">discover_sysdep_device_data</a> {
<a name="l00045"></a><a class="code" href="structdiscover__sysdep__device__data.html#o0">00045</a>     <span class="keywordtype">char</span> *<a class="code" href="structdiscover__sysdep__device__data.html#o0">path</a>;
<a name="l00047"></a><a class="code" href="structdiscover__sysdep__device__data.html#o1">00047</a>     <span class="keywordtype">char</span> *<a class="code" href="structdiscover__sysdep__device__data.html#o1">value</a>;
<a name="l00049"></a><a class="code" href="structdiscover__sysdep__device__data.html#o2">00049</a>     <span class="keyword">struct </span><a class="code" href="structdiscover__sysdep__device__data.html">discover_sysdep_device_data</a> *<a class="code" href="structdiscover__sysdep__device__data.html#o2">next</a>;
00050 } <a class="code" href="structdiscover__sysdep__device__data.html">discover_sysdep_device_data_t</a>;
00051 
<a name="l00056"></a><a class="code" href="structdiscover__sysdep__data.html">00056</a> <span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structdiscover__sysdep__data.html">discover_sysdep_data</a> {
<a name="l00058"></a><a class="code" href="structdiscover__sysdep__data.html#o0">00058</a>     <span class="keywordtype">char</span> *<a class="code" href="structdiscover__sysdep__data.html#o0">busclass</a>;
<a name="l00060"></a><a class="code" href="structdiscover__sysdep__data.html#o1">00060</a>     <span class="keywordtype">char</span> *<a class="code" href="structdiscover__sysdep__data.html#o1">vendor</a>;
<a name="l00062"></a><a class="code" href="structdiscover__sysdep__data.html#o2">00062</a>     <span class="keywordtype">char</span> *<a class="code" href="structdiscover__sysdep__data.html#o2">model</a>;
<a name="l00064"></a><a class="code" href="structdiscover__sysdep__data.html#o3">00064</a>     <a class="code" href="structdiscover__sysdep__device__data.html">discover_sysdep_device_data_t</a> *<a class="code" href="structdiscover__sysdep__data.html#o3">data</a>;
<a name="l00066"></a><a class="code" href="structdiscover__sysdep__data.html#o4">00066</a>     <span class="keyword">struct </span><a class="code" href="structdiscover__sysdep__data.html">discover_sysdep_data</a> *<a class="code" href="structdiscover__sysdep__data.html#o4">next</a>;
00067 } <a class="code" href="structdiscover__sysdep__data.html">discover_sysdep_data_t</a>;
00068 
00069 <a class="code" href="structdiscover__sysdep__data.html">discover_sysdep_data_t</a> *<a class="code" href="sysdep_8c.html#a3">_discover_sysdep_data_new</a>(<span class="keywordtype">void</span>);
00070 <a class="code" href="structdiscover__sysdep__device__data.html">discover_sysdep_device_data_t</a> *<a class="code" href="sysdep_8c.html#a4">_discover_sysdep_device_data_new</a>(<span class="keywordtype">void</span>);
00071 <span class="keywordtype">void</span> <a class="code" href="sysdep_8c.html#a5">_discover_free_sysdep_data</a>(<a class="code" href="structdiscover__sysdep__data.html">discover_sysdep_data_t</a> *);
00072 <span class="keywordtype">void</span> <a class="code" href="sysdep_8c.html#a6">_discover_free_sysdep_device_data</a>(<a class="code" href="structdiscover__sysdep__device__data.html">discover_sysdep_device_data_t</a> *);
00073 
00074 <a class="code" href="structdiscover__sysdep__data.html">discover_sysdep_data_t</a> *<a class="code" href="group__sysdeps.html#ga0">_discover_get_ata_raw</a>(<span class="keywordtype">void</span>);
00075 <a class="code" href="structdiscover__sysdep__data.html">discover_sysdep_data_t</a> *<a class="code" href="group__sysdeps.html#ga1">_discover_get_pci_raw</a>(<span class="keywordtype">void</span>);
00076 <a class="code" href="structdiscover__sysdep__data.html">discover_sysdep_data_t</a> *<a class="code" href="group__sysdeps.html#ga4">_discover_get_usb_raw</a>(<span class="keywordtype">void</span>);
00077 <a class="code" href="structdiscover__sysdep__data.html">discover_sysdep_data_t</a> *<a class="code" href="group__sysdeps.html#ga2">_discover_get_pcmcia_raw</a>(<span class="keywordtype">void</span>);
00078 <a class="code" href="structdiscover__sysdep__data.html">discover_sysdep_data_t</a> *<a class="code" href="group__sysdeps.html#ga3">_discover_get_scsi_raw</a>(<span class="keywordtype">void</span>);
00079 
00080 <span class="preprocessor">#ifdef __cplusplus</span>
00081 <span class="preprocessor"></span>    }
00082 <span class="preprocessor">#endif</span>
00083 <span class="preprocessor"></span>
00084 <span class="preprocessor">#endif</span>
00085 <span class="preprocessor"></span>
00086 <span class="comment">/*</span>
00087 <span class="comment"> * Local variables:</span>
00088 <span class="comment"> * c-file-style: "progeny"</span>
00089 <span class="comment"> * indent-tabs-mode: nil</span>
00090 <span class="comment"> * End:</span>
00091 <span class="comment"> */</span>
00092 <span class="comment">/* vim: set cin fo=tcroq sw=4 et sts=4 tw=75: */</span>
</pre></div><hr size="1"><address style="align: right;"><small>Generated on Thu Jul 28 03:38:00 2005 for discover by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.2 </small></address>
</body>
</html>
